Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class EbsBlockDevice

    java.lang.Object
      com.amazonaws.services.ec2.model.EbsBlockDevice

    public class EbsBlockDevice

extends Object

An EBS volume backed block device.

Constructor Summary
`EbsBlockDevice()`

Method Summary
`Boolean` | `getDeleteOnTermination()` Specifies whether the Amazon EBS volume is deleted on instance termination.
`String` | `getSnapshotId()` The ID of the snapshot from which the volume will be created.
`Integer` | `getVolumeSize()` The size of the volume, in gigabytes.
`Boolean` | `isDeleteOnTermination()` Specifies whether the Amazon EBS volume is deleted on instance termination.
`void` | `setDeleteOnTermination(Boolean deleteOnTermination)` Specifies whether the Amazon EBS volume is deleted on instance termination.
`void` | `setSnapshotId(String snapshotId)` The ID of the snapshot from which the volume will be created.
`void` | `setVolumeSize(Integer volumeSize)` The size of the volume, in gigabytes.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`EbsBlockDevice` | `withDeleteOnTermination(Boolean deleteOnTermination)` Specifies whether the Amazon EBS volume is deleted on instance termination.
`EbsBlockDevice` | `withSnapshotId(String snapshotId)` The ID of the snapshot from which the volume will be created.
`EbsBlockDevice` | `withVolumeSize(Integer volumeSize)` The size of the volume, in gigabytes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EbsBlockDevice

    public EbsBlockDevice()

Method Detail

### getSnapshotId

    public String getSnapshotId()

  The ID of the snapshot from which the volume will be created.

  Returns:
    The ID of the snapshot from which the volume will be created.

### setSnapshotId

    public void setSnapshotId(String snapshotId)

  The ID of the snapshot from which the volume will be created.

  Parameters:
    `snapshotId` - The ID of the snapshot from which the volume will be created.

### withSnapshotId

    public EbsBlockDevice withSnapshotId(String snapshotId)

  The ID of the snapshot from which the volume will be created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotId` - The ID of the snapshot from which the volume will be created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVolumeSize

    public Integer getVolumeSize()

  The size of the volume, in gigabytes.

  Returns:
    The size of the volume, in gigabytes.

### setVolumeSize

    public void setVolumeSize(Integer volumeSize)

  The size of the volume, in gigabytes.

  Parameters:
    `volumeSize` - The size of the volume, in gigabytes.

### withVolumeSize

    public EbsBlockDevice withVolumeSize(Integer volumeSize)

  The size of the volume, in gigabytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeSize` - The size of the volume, in gigabytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isDeleteOnTermination

    public Boolean isDeleteOnTermination()

  Specifies whether the Amazon EBS volume is deleted on instance termination.

  Returns:
    Specifies whether the Amazon EBS volume is deleted on instance termination.

### setDeleteOnTermination

    public void setDeleteOnTermination(Boolean deleteOnTermination)

  Specifies whether the Amazon EBS volume is deleted on instance termination.

  Parameters:
    `deleteOnTermination` - Specifies whether the Amazon EBS volume is deleted on instance termination.

### withDeleteOnTermination

    public EbsBlockDevice withDeleteOnTermination(Boolean deleteOnTermination)

  Specifies whether the Amazon EBS volume is deleted on instance termination.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `deleteOnTermination` - Specifies whether the Amazon EBS volume is deleted on instance termination.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDeleteOnTermination

    public Boolean getDeleteOnTermination()

  Specifies whether the Amazon EBS volume is deleted on instance termination.

  Returns:
    Specifies whether the Amazon EBS volume is deleted on instance termination.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.